# Google Authenticator for PAM RPM spec

%define _moduledir /%{_lib}/security

Name: pam-google-auth
Version: 1.0
Release: 3%{dist}
Vendor: ClearFoundation
License: GPL
Group: System Environment/Libraries
Packager: ClearFoundation
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
Summary: Google Authenticator for PAM
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libcurl-devel pam-devel

%description
Google Authenticator for PAM
Report bugs to: http://www.clearfoundation.com/docs/developer/bug_tracker/

# Build
%prep
%setup -q
./autogen.sh
%{configure} \
    --libdir=%{_moduledir}

%build
make %{?_smp_mflags}

# Install
%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -vp ${RPM_BUILD_ROOT}/%{_localstatedir}/state/pam-google-auth

# Clean-up
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Files
%files
%defattr(-,root,root)
%attr(755,root,root) %{_moduledir}
%attr(750,root,root) %{_localstatedir}/state/pam-google-auth

# vi: expandtab shiftwidth=4 softtabstop=4 tabstop=4
